import { AxiosError } from 'axios';

export enum API_ROUTE {
  USER = 'user',
  REGIONS = 'regions',
  SERIES = 'series'
}

export enum API_ENDPOINT {
  LOGIN = 'login',
  REGISTER = 'join',
  RESET_PASSWORD = 'recover-password',
  GET_REGIONS = 'get-regions',
  JOIN_TEST = 'pre-join-test',
  SERIES = 'get-for-regions'
}

export enum API {
  LOGIN = `${API_ROUTE.USER}/${API_ENDPOINT.LOGIN}`,
  REGISTER = `${API_ROUTE.USER}/${API_ENDPOINT.REGISTER}`,
  RESET_PASSWORD = `${API_ROUTE.USER}/${API_ENDPOINT.RESET_PASSWORD}`,
  GET_REGIONS = `${API_ROUTE.REGIONS}/${API_ENDPOINT.GET_REGIONS}`,
  JOIN_TEST = `${API_ROUTE.USER}/${API_ENDPOINT.JOIN_TEST}`,
  SERIES = `${API_ROUTE.SERIES}/${API_ENDPOINT.SERIES}`
}

export type BaseAxiosError = AxiosError;
